Get Announcement
curl --request GET \
--url https://api.voxo.co/v2/admin/announcements/{id} \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.voxo.co/v2/admin/announcements/{id}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.voxo.co/v2/admin/announcements/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"id": 123,
"tenantId": 123,
"name": "<string>",
"description": "<string>",
"mediaFile": {
"id": 123,
"name": "<string>",
"tenantId": 123
},
"active": 123,
"startDate": "<string>",
"endDate": "<string>",
"ivrs": [
{
"id": 123,
"name": "<string>",
"tenantId": 123,
"order": 123
}
],
"branch": {
"id": 123,
"name": "<string>"
}
}Announcements
Get Announcement
Get a single announcement by ID
GET
/
v2
/
admin
/
announcements
/
{id}
Get Announcement
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Path Parameters
Announcement ID
Pattern:
^[1-9]\d*$Response
200 - application/json
Announcement details
Announcement ID
Tenant ID
Announcement name
Announcement description
Attached media file
Show child attributes
Show child attributes
Active state (1 = active, 0 = inactive)
Start date (ISO 8601)
End date (ISO 8601)
IVRs this announcement is attached to
Show child attributes
Show child attributes
Owning branch
Show child attributes
Show child attributes
Was this page helpful?